Subject: Re: [Mip4] Prefix Alloc with DHCPv6-PD? Re: AD review of mip4-dsmipv4

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 8 Sep 2008 16:56:30 -0700 (PDT)

Hi George,
  If we propose a different approach of doing DHCPv6 PD for Nemo based on BU/BA then I suppose you can not carry BU/BAs over MIP4 tunnel. Is this correct? I did not have time to read your draft mip4-dsmipv4.

Regards,

Behcet

----- Original Message ----
From: George Tsirtsis <[email-masked]>
To: Mobile IPv4 Mailing List <[email-masked]>; Jari Arkko <[email-masked]>
Sent: Monday, September 8, 2008 8:40:30 AM
Subject: Re: [Mip4] Prefix Alloc with DHCPv6-PD? Re: AD review of mip4-dsmipv4

Folks,

Any response to my question below?

Thanks
George

On Tue, Sep 2, 2008 at 4:42 AM, George Tsirtsis <[email-masked]> wrote:
> I have one more question/suggestion as I am in the process of editing
> the draft to incorporate Jari's earlier comments.
>
> Section 4.6. "Dynamic IPv6 Prefix allocation", introduces a mechanism
> for IPv6 prefix allocation using MIPv4 extension; similar to IPv4 HoA
> address allocation. In light of the decision made recently in MEXT,
> however, to do IPv6 Prefix allocation in NEMOv6, using DHCPv6-Prefix
> Delegation (draft-ietf-mext-nemo-pd-00), should we change this?
>
> I think it is the right thing to do. In this case we would only have
> to indicate that DHCPv6 PD runs over the IPv4 HoA to HA tunnel, and
> then when the IPv6 prefix is allocated, and assuming explicit mode, it
> has to be registered via the extensions defined in this spec. I assume
> that we can point directly to the DHCPv6 PD RFC and we do not need to
> depend on draft-ietf-mext-nemo-pd.
>
> Thoughts?
>
> George
>
> On Tue, Sep 2, 2008 at 8:38 AM, George Tsirtsis <[email-masked]> wrote:
>> OK, I received some positive responses and no negative ones. I will
>> remove support for IPv6 addresses from the spec.
>>
>> Thanks
>> George
>>
>> On Fri, Aug 29, 2008 at 6:15 PM, Henrik Levkowetz <[email-masked]> wrote:
>>>
>>>
>>> On 2008-08-29 11:30 George Tsirtsis said the following:
>>>> Hi All,
>>>>
>>>> I reviewed Jari's comments and I think we need to decide on at least
>>>> one of these as a group before I can create a new version.
>>>>
>>>> The current version of the draft supports both IPv6 Prefixes and IPv6
>>>> addresses. Jari questions why we need to support addresses and I do
>>>> not have a good answer for that at the moment. Jari, specifically
>>>> points out that a number of issues in the document would be simplified
>>>> if we dropped support for addresses i.e., we would:
>>>>> - get rid of DAD rules
>>>>> - get rid of ND proxying
>>>>> - avoid having to say something about SEND in security considerations
>>>>> section
>>>>> - simplify authorization and overlap rules
>>>>> - not have any multilink subnet-style issues
>>>>> etc
>>>>
>>>> Is the WG in agreement with Jari's proposal to only support IPv6
>>>> Prefixes in this specification?
>>>
>>> Works well for me.
>>>
>>>
>>>        Henrik (no hat)
>>>
>>>
>>
> --
> Mip4 mailing list: [email-masked]
>    Web interface: https://www.ietf.org/mailman/listinfo/mip4
>     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
>
-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/
-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/